﻿$tools = Split-Path $MyInvocation.MyCommand.Definition
$package = Split-Path $tools
$sc_home = Join-Path $package 'schemacrawler-14.20.06-distribution'
$sc_bat = Join-Path $sc_home '_schemacrawler/schemacrawler.cmd'


Install-ChocolateyZipPackage `
    -PackageName 'schemacrawler' `
    -Url 'https://github.com/schemacrawler/SchemaCrawler/releases/download/v14.20.06/schemacrawler-14.20.06-distribution.zip' `
    -Checksum '626a1ff2636e5307579963032fbbdf67b0acabe344e2f51f46dc10ad21715a437993b533885133fe6181ee6d9689f263cebfc248e46ec9cbf204f1976848ae0c' `
    -ChecksumType 'SHA512' `
    -UnzipLocation $package

Install-ChocolateyEnvironmentVariable `
    -VariableName 'SC_HOME' `
    -VariableValue $sc_home `
    -VariableType 'Machine'


Install-BinFile -Name 'schemacrawler' -Path $sc_bat

Update-SessionEnvironment
